Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.channel
Interface ChildChannelStateEvent

All Superinterfaces:
  ChannelEvent

All Known Implementing Classes:
  DefaultChildChannelStateEvent

    public interface ChildChannelStateEvent

extends ChannelEvent

A `ChannelEvent` which represents the notification of the state of a child `Channel`. This event is for going upstream only. Please refer to the `ChannelEvent` documentation to find out what an upstream event and a downstream event are and what fundamental differences they have.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee

Method Summary
`Channel` | `getChannel()` Returns the parent `Channel` which is associated with this event.
`Channel` | `getChildChannel()` Returns the child `Channel` whose state has been changed.

Methods inherited from interface org.jboss.netty.channel.ChannelEvent
`getFuture`

Method Detail

### getChannel

    Channel getChannel()

  Returns the parent `Channel` which is associated with this event. Please note that you should use `getChildChannel()` to get the `Channel` created or accepted by the parent `Channel`.

  Specified by:
    `getChannel` in interface `ChannelEvent`

### getChildChannel

    Channel getChildChannel()

  Returns the child `Channel` whose state has been changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.